Name:           python-fhir-pyrate
Version:        0.2.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        FHIR-PYrate is a package that provides a high-level API to query FHIR Servers for bundles of resources and return the structured information as pandas DataFrames. It can also be used to filter resources using RegEx and SpaCy and download DICOM studies and series.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/UMEssen/FHIR-PYrate
Source:         %{pypi_source fhir_pyrate}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'fhir-pyrate' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-fhir-pyrate
Summary:        %{summary}

%description -n python3-fhir-pyrate %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-fhir-pyrate all,downloader,miner


%prep
%autosetup -p1 -n fhir_pyrate-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,downloader,miner


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-fhir-pyrate -f %{pyproject_files}


%changelog
%autochangelog